
After the accident, they took me right away to an emergency room in the back. I was lying on the gurney. My brother and father were on my left and the doctor was on the right side of me. I knew I was in shock since I have been in shock before. So I had a clue what was happening. That's probably my most aware state at that time. I begged the doctor for something to kill the pain. He said he could not give me any pain medicine and had to wait for the REAL doctors. When the real doctors arrived, I was passed out from the intense pain. I remember thinking, 'This is it. This is my time.' I had been through a lot of other injuries and I truly believed that the good Lord wanted to take me before I turned 30 years old. So, I accepted that this was the time. I did not fight or resist; I gave up. I wanted to go wherever the Lord felt I should be. At that moment when I accepted the fact that I was DYING, that's when I left this world.

I was over my body and looking down on my body. I could see my dad, brother, and the doctor. By that time my sister-in-law had joined them. I couldn't see anything around me because what I saw was like having blinders on. It was black behind me. I felt presences of people that had come to greet me. Some of them, I felt like I knew but I wasn't sure who they were. But it wasn't what I saw, it was what I felt. I never really saw anything, just felt it. I then thought, 'I'M HOME!! I finally made it back to where I started!!' What a feeling! I did not want to come back, period. Then I felt my grandma's presence. She put her hand out to touch me. I don't know how I know that. I then felt another presence of a person who had so much love. It was just amazing. I felt complete acceptance, Love, and Understanding. That was great; I know it was Jesus. What I felt after that was like nothing I could ever express. It was a overwhelming feeling of LOVE; just LOVE. I think it was the Man himself. I wanted to stay, but my Grandma, as corny as it sounds said, 'Ricky, you have things to do still.'

I was back in my body at that time and felt NO PAIN! I was never the same. From there, they took me for immediate surgery. While on the table, my heart stopped beating for about 30 seconds. They brought me back; amazing journey. I spent 10 days in recovery in the hospital and 6 weeks with my jaws wired together while receiving therapy to learn how to chew all over again. But I'm still here.
